#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "_xml_dumps4xi.py">
#<abstract4xi abstract = "provides the function _xml_dumps4xi"/>
#<refer4xi reference = "connection.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = ['_xml_dumps4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi   

import socket
import errno
import time
import tempfile
import itertools
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
from multiprocessing import connection
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
import xmllistener4xi
from print4xi import print4xi
from time4xi import time4xi
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "xml-dumps4xi" usage = "
#   connection.py
#       class XmlListener(Listener):
#           accept(self):
#               return ConnectionWrapper(obj, _xml_dumps, _xml_loads)
#   xmlclient4xi.py
#       class XmlClient4Xi:
#           return ConnectionWrapper4Xi(Client4Xi(*args, **kwds), _xml_dumps, _xml_loads)
#   xmllistener4xi.py
#       class XmlListener4Xi
#           return ConnectionWrapper4Xi(object2xi, _xml_dumps, _xml_loads)
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<note4xi note = "_xml_dumps4xi compared to _xml_dumps of connection.py and found no changes due to Rel 7.21"/>
# -------------------------------------------------------------------------------------------------
def _xml_dumps4xi(obj):
    '''
    dumps XML
    '''
    
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------        
        
    class2print = "_xml_dumps4xi"
    method2print = "_xml_dumps4xi"

    
    message2print = "{started" + "; xml-dumps4xi-started: " + str(_xml_dumps4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{passed" + "; object-passed-to-xml-dumps4xi: " + str(obj) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
            
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------        
    message2print = "{passing" + "; object-passing-to-xmlrpclib4xi-dumps-by-xml-dumps4xi: " + str(obj) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
        
    message2print = "{returning" + "; xmlrpclib4xi.dumps-function-returning-by-xml-dumps4xi: " + str(xmlrpclib4xi.dumps) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
                           
    
    return xmlrpclib4xi.dumps((obj,), None, None, None, 1).encode('utf8')
    
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_xml_dumps4xi.txt
#   sense-test-xml-dumps4xi.xml
#   reason-test-xml-dumps4xi.xml
#   ace-test-xml-dumps4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of _xml_dumps4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>


